/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/
package org.eclipse.birt.test.performance.parser;

import java.util.Map;
import java.util.TreeMap;
import java.util.regex.Pattern;


public class Test
{

	/**
	 * @param args
	 */
	public static void main( String[] args )
	{
		System.out.println( Utility.getReportName( "Corporation.rptdesign" ));
		
		Map treemap = new TreeMap();
		treemap.put( "1", "a" );
		treemap.put( "2", "b" );
		treemap.put( "3", "c" );
		
		Pattern pattern = Pattern.compile( "[\\d]+[,\\d]*|[A|a]ll|[\\d]+-[\\d]+" );
		boolean matches = pattern.matcher( "1,2,11" ).matches( );
		System.out.println( matches );
		
		matches = pattern.matcher( "1-10" ).matches( );
		System.out.println( matches );
		
		matches = pattern.matcher( "All" ).matches( );
		System.out.println( matches );
		
		matches = pattern.matcher( "all" ).matches( );
		System.out.println( matches );
	}

}
